Share via


Managed Certificates - Update

Update tags of a managed certificate
Patches a managed certificate. Oly patching of tags is supported

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.App/managedEnvironments/{environmentName}/managedCertificates/{managedCertificateName}?api-version=2026-01-01

URI Parameters

Name In Required Type Description
environmentName
path True

string

Name of the Managed Environment.

managedCertificateName
path True

string

Name of the Managed Certificate.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
tags

object

Application-specific metadata in the form of key-value pairs.

Responses

Name Type Description
200 OK

ManagedCertificate

Managed Certificate updated successfully.

Other Status Codes

ErrorResponse

Common error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Patch Managed Certificate

Sample request

PATCH https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/examplerg/providers/Microsoft.App/managedEnvironments/testcontainerenv/managedCertificates/certificate-firendly-name?api-version=2026-01-01

{
  "tags": {
    "tag1": "value1",
    "tag2": "value2"
  }
}

Sample response

{
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/examplerg/providers/Microsoft.App/managedEnvironments/testcontainerenv/managedCertificates/certificate-firendly-name",
  "type": "Microsoft.App/ManagedEnvironments/managedCertificates",
  "location": "East US",
  "properties": {
    "subjectName": "CN=my-subject-name.company.country.net",
    "provisioningState": "Succeeded",
    "domainControlValidation": "CNAME"
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ManagedCertificate

Managed certificates used for Custom Domain bindings of Container Apps in a Managed Environment

ManagedCertificatePatch

A managed certificate to update

Properties

Workload Profile resource specific properties.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ManagedCertificate

Managed certificates used for Custom Domain bindings of Container Apps in a Managed Environment

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties

Properties

Certificate resource specific properties

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ManagedCertificatePatch

A managed certificate to update

Name Type Description
tags

object

Application-specific metadata in the form of key-value pairs.

Properties

Workload Profile resource specific properties.

Name Type Description
currentCount

integer (int32)

Current count of nodes.

maximumCount

integer (int32)

Maximum count of nodes.

minimumCount

integer (int32)

Minimum count of instances.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.